Bug 1480286 - State Machine Changes when User Switches Groups During Provision in Admin UI
Summary: State Machine Changes when User Switches Groups During Provision in Admin UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.8.2
Assignee: Tina Fitzgerald
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On: 1479945
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-10 15:13 UTC by Satoe Imaishi
Modified: 2017-10-24 00:38 UTC (History)
10 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1479945
Environment:
Last Closed: 2017-10-24 00:38:34 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 7 Tina Fitzgerald 2017-08-22 15:14:34 UTC
Hi Matt,

Any update from the customer?

Thanks,
Tina

Comment 8 Matt Ruzicka 2017-08-22 17:36:36 UTC
My apologies, Tina.

The customer and consultant did test this last week and when applied to all appliances it did work as expected.

Comment 9 Peter McGowan 2017-08-29 12:53:20 UTC
Hi

I've applied the CFME 5.8.1.5-5 hotfix build that includes this fix, and now automation requests submitted via the REST API fail with the following errors in evm.log:

[----] E, [2017-08-29T13:51:24.028533 #30902:cb5138] ERROR -- : Q-task_id([automation_task_1000000018320]) MIQ(AutomationTask#execute) [Error: Couldn't find MiqGroup] encountered during Automation Request
[----] E, [2017-08-29T13:51:24.028788 #30902:cb5138] ERROR -- : Q-task_id([automation_task_1000000018320]) [ActiveRecord::RecordNotFound]: Couldn't find MiqGroup  Method:[rescue in execute]

Rolling back to the 5.8.1.5-2 hotfix build that doesn't include this BZ patch fixes these errors, so they seem to be related to this BZ

Also updating https://bugzilla.redhat.com/show_bug.cgi?id= 1480007 with the same comment as the two BZs seem to be related.

Comment 14 Tina Fitzgerald 2017-09-07 15:21:09 UTC
Hi Milan,

Sorry about that. I made a mistake in my directions.

What you're seeing in correct. The group should not switch.

Thanks,
Tina

Comment 15 Milan Falešník 2017-09-07 15:47:58 UTC
Thanks, therefore it is verified in 5.8.2.0

Comment 17 errata-xmlrpc 2017-10-24 00:38:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.